> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bestinslot.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# BIP-322

> Endpoints related to BIP-322 Protocol

<Warning>
  **Retired.** These endpoints are no longer served. Run [OPI](https://github.com/bestinslot-xyz/OPI) instead — see the [introduction](/docs/introduction). Kept for historical reference.
</Warning>

Endpoints' API-Key-Tier availabilities are written for each endpoint.

## BIP-322 Verify Signature

*Included in: Basic, Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/bip322/verify`

Returns if the given signature is valid for given address.

Sample query: [https://api.bestinslot.xyz/v3/bip322/verify?address=bc1puhgw5ftrcnzfkkzrmzw8cuwmejjzaf5y2ql06cdrn002095dw8fs803glh\&signature\_b64=AUEde3at2iDQWz5VrXMxeOv8uIwTOlONPoRsO8wmA4iXz5ssIHLXxDP3fjVkb/yp0pxjgwamKq1oe15fSV6wAOzUAQ==\&message\_b64=bGlzdGVuaW5nIHRvIHN0YXJzIGJ5IHRoZSB4eA==](https://api.bestinslot.xyz/v3/bip322/verify?address=bc1puhgw5ftrcnzfkkzrmzw8cuwmejjzaf5y2ql06cdrn002095dw8fs803glh\&signature_b64=AUEde3at2iDQWz5VrXMxeOv8uIwTOlONPoRsO8wmA4iXz5ssIHLXxDP3fjVkb/yp0pxjgwamKq1oe15fSV6wAOzUAQ==\&message_b64=bGlzdGVuaW5nIHRvIHN0YXJzIGJ5IHRoZSB4eA==)

#### Query Parameters

| Name | Type | Description |
| - | - | - |
| address\* | string | signer address |
| signature\_b64\* | string | base64 encoded string of the signature |
| message\_b64\* | string | base64 encoded string of the message |

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": true,
        "block_height": 799062
    }
    ```
  </Tab>
</Tabs>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.